import { stringify } from 'qs';
import { request } from 'umi';
import webpath from '@/utils/webPath';


export async function deleteByPrimaryKeyForTjRbkt(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/tjrbkt/delete?${stringify(params)}`);
}


export async function selectByPrimaryKeyForTjRbkt(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/tjrbkt/get?${stringify(params)}`);
}


export async function insertForTjRbkt(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/tjrbkt/insert`, {
        method: 'POST',
        data: {
            ...params,
            method: 'insert',
        },
    });
}


export async function updateForTjRbkt(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/tjrbkt/update`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function deleteByMapForTjRbkt(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/tjrbkt/deleteByMap`, {
        method: 'POST',
        data: {
            ...params,
            method: 'delete',
        },
    });
}


export async function updateByMapForTjRbkt(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/tjrbkt/updateByMap`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function getOneForTjRbkt(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/tjrbkt/getOne`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}



export async function getAllForTjRbkt(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/tjrbkt/getAll`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}


export async function queryPageForTjRbkt(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/tjrbkt/queryPage`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}


export async function countForTjRbkt(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/tjrbkt/count`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}

export async function insertBatchForTjRbkt(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/tjrbkt/insertBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'insert',
        },
    });
}


export async function deleteBatchForTjRbkt(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/tjrbkt/deleteBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'delete',
        },
    });
}


export async function updateBatchForTjRbkt(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/tjrbkt/updateBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}